Objdetect (OpenCV 3.4.2 Java documentation)
Date: 2019-04-14

org.opencv.objdetect

## Class Objdetect

- java.lang.Object
- - org.opencv.objdetect.Objdetect

-     public class Objdetect
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CASCADE_DO_CANNY_PRUNING`
    `static int` | `CASCADE_DO_ROUGH_SEARCH`
    `static int` | `CASCADE_FIND_BIGGEST_OBJECT`
    `static int` | `CASCADE_SCALE_IMAGE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Objdetect()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `groupRectangles(MatOfRect rectList, MatOfInt weights, int groupThreshold)`
    `static void` | `groupRectangles(MatOfRect rectList, MatOfInt weights, int groupThreshold, double eps)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CASCADE_DO_CANNY_PRUNING

          public static final int CASCADE_DO_CANNY_PRUNING

      See Also:
        Constant Field Values

    - #### CASCADE_SCALE_IMAGE

          public static final int CASCADE_SCALE_IMAGE

      See Also:
        Constant Field Values

    - #### CASCADE_FIND_BIGGEST_OBJECT

          public static final int CASCADE_FIND_BIGGEST_OBJECT

      See Also:
        Constant Field Values

    - #### CASCADE_DO_ROUGH_SEARCH

          public static final int CASCADE_DO_ROUGH_SEARCH

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Objdetect

          public Objdetect()

  - ### Method Detail

    - #### groupRectangles

          public static void groupRectangles(MatOfRect rectList,
                                             MatOfInt weights,
                                             int groupThreshold,
                                             double eps)

    - #### groupRectangles

          public static void groupRectangles(MatOfRect rectList,
                                             MatOfInt weights,
                                             int groupThreshold)

Generated on Sun Apr 14 2019 09:17:52 MDT / OpenCV unknown